<?php
/**
 * Construction Architect functions and definitions
 *
 * @package Construction Architect
 * @since 1.7
 */

if ( ! function_exists( 'construction_architect_support' ) ) :
	function construction_architect_support() {

		load_theme_textdomain( 'construction-architect', get_template_directory() . '/languages' );

		add_theme_support( 'html5', array(
			'comment-form',
			'comment-list',
			'gallery',
			'caption',
		) );

		add_theme_support( 'custom-background', apply_filters( 'construction_architect_custom_background', array(
            'default-color' => 'ffffff',
            'default-image' => '',
        )));
		
		add_theme_support( 'wp-block-styles' );

		add_editor_style( 'style.css' );

		define('CONSTRUCTION_ARCHITECT_BUY_NOW',__('https://www.themescarts.com/products/construction-wordpress-theme/','construction-architect'));
		define('CONSTRUCTION_ARCHITECT_FOOTER_BUY_NOW',__('https://www.themescarts.com/products/construction-architect/','construction-architect'));
		define('CONSTRUCTION_ARCHITECT_BUNDLE_LINK',__('https://www.themescarts.com/products/wordpress-theme-bundle/','construction-architect'));

	}
endif;
add_action( 'after_setup_theme', 'construction_architect_support' );

/*-------------------------------------------------------------
 Enqueue Styles
--------------------------------------------------------------*/

if ( ! function_exists( 'construction_architect_styles' ) ) :
	function construction_architect_styles() {
		// Register theme stylesheet.
		wp_enqueue_style('construction-architect-style', get_stylesheet_uri(), array(), wp_get_theme()->get('version') );
		wp_enqueue_style('construction-architect-style-blocks', get_template_directory_uri(). '/assets/css/blocks.css');
		wp_enqueue_style('construction-architect-style-responsive', get_template_directory_uri(). '/assets/css/responsive.css');
		wp_style_add_data( 'construction-architect-basic-style', 'rtl', 'replace' );
		wp_enqueue_script( 'construction-architect-custom-js', get_theme_file_uri( '/assets/js/custom.js' ), array( 'jquery' ), true );
		wp_enqueue_style('owl.carousel-css', esc_url(get_template_directory_uri())."/assets/css/owl.carousel.css");
		wp_enqueue_script('owl.carousel-js', esc_url(get_template_directory_uri()). '/assets/js/owl.carousel.js', array('jquery'));

		//animation
		wp_enqueue_script( 'wow-js', get_theme_file_uri( '/assets/js/wow.js' ), array( 'jquery' ), true );
		
		wp_enqueue_style( 'animate-css', get_template_directory_uri().'/assets/css/animate.css' );

		wp_enqueue_style('dashicons');

	}
endif;
add_action( 'wp_enqueue_scripts', 'construction_architect_styles' );

function construction_architect_enqueue_admin_script($hook) {
    // Enqueue admin JS for notices
    wp_enqueue_script('construction-architect-welcome-notice', get_template_directory_uri() . '/inc/construction-architect-theme-info-page/js/construction-architect-welcome-notice.js', array('jquery'), '', true);
    
    // Localize script to pass data to JavaScript
    wp_localize_script('construction-architect-welcome-notice', 'construction_architect_localize', array(
        'ajax_url' => admin_url('admin-ajax.php'),
        'nonce' => wp_create_nonce('construction_architect_welcome_nonce'),
        'dismiss_nonce' => wp_create_nonce('construction_architect_welcome_nonce'), // Nonce for dismissal
        'redirect_url' => admin_url('themes.php?page=construction-architect-theme-info-page')
    ));
}
add_action('admin_enqueue_scripts', 'construction_architect_enqueue_admin_script');

if (!function_exists('construction_architect_enable_plugin_autoupdate')) {

    add_filter('auto_update_plugin', function ($update, $item) {
        if ($item->slug === 'siteready-coming-soon-under-construction') {
            return true;
        }
        return $update;
    }, 10, 2);

}

function construction_architect_plugin_update_available($slug, $file) {
    $updates = get_site_transient('update_plugins');

    if (!isset($updates->response[$slug . '/' . $file])) {
        return false; // No update available
    }

    return $updates->response[$slug . '/' . $file];
}

require get_template_directory() .'/inc/TGM/tgm.php';

// Add block patterns
require get_template_directory() . '/inc/block-patterns.php';
require_once get_theme_file_path( 'inc/construction-architect-theme-info-page/templates/class-theme-notice.php' );
require_once get_theme_file_path( 'inc/construction-architect-theme-info-page/class-theme-info.php' );

require_once get_theme_file_path( '/inc/customizer.php' );

?>